      subroutine inhead(revdat,icomp,iver)                              INHE001
c ----------------------------------------------------------------------INHE002
c     cranks out a header box page                                      INHE003
c ----------------------------------------------------------------------INHE004
c     This program module is part of the PhysiSoft X-ray Library        INHE005
c     and may not be sold or reproduced for commercial purposes.        INHE006
c     Although it has been tested carefully, there is no warranty       INHE007
c     regarding accuracy or freedom from side-effects.                  INHE008
c                   (C) 1986-1990 Bernhard Rupp                         INHE009
c ----------------------------------------------------------------------INHE010
      parameter (ipr=6)                                                 INHE011
                                                                        INHE012
      character lv,revdat*8,icomp*4,iver*3                              INHE013
                                                                        INHE014
      if (icomp.eq.'IBM ') then                                         INHE015
         lv=char(179)                                                   INHE016
      else                                                              INHE017
         lv='|'                                                         INHE018
      end if                                                            INHE019
                                                                        INHE020
      call frames (ipr,1,icomp)                                         INHE021
      write(ipr,'(1x,a1,26x,a,26x,a1)')lv,'P R O G R A M   S E X I E',lvINHE022
      call frames (ipr,2,icomp)                                         INHE023
      write(ipr,'(1x,a1,8x,a,a,8x,a1)')lv,'Calculation of Coordination',INHE024
     & ' Shells and Interatomic Distances ',lv                          INHE025
      write(ipr,'(1x,a1,25x,a,26x,a1)')lv,'       Bernhard Rupp      ', INHE026
     & lv                                                               INHE027
      write(ipr,'(1x,a1,20x,a,a,a,a,a,21x,a1)')                         INHE028
     & lv,icomp,' Version ',iver,',  Revision ',revdat,lv               INHE029
      write(ipr,'(1x,a1,11x,a,a,12x,a1)')lv,'Proprietary code of Physi',INHE030
     & 'Soft Corporation (C) 1988-95 ',lv                               INHE031
      call frames (ipr,2,icomp)                                         INHE032
      write(ipr,'(1x,a1,24x,a,25x,a1)')                                 INHE033
     &  lv,' Interactive Input Routine  ',lv                            INHE034
      call frames (ipr,3,icomp)                                         INHE035
      return                                                            INHE036
      end                                                               INHE037
